import datetime

from mongoengine import *

from .project import Project


class Workpackage(Document):
    
    name = StringField(required=True)
    name_short = StringField(required=False)
    wp_id = StringField(required=True)
    
    project = LazyReferenceField(Project, required=True)
    
    date = DateTimeField(default=datetime.datetime.now,
                        wtf_options={"render_kw": {
                            "step": "60"
                        }})
    
    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'workpackages'
    }